Bug 1604 - Member Server Samba 3 could'nt map more them 10 trusts
Member Server Samba 3 could'nt map more them 10 trusts
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: winbind
3.0.11
All Linux
: P1 major
: none
Assigned To: Volker Lendecke
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-11 07:47 UTC by Sergio Roberto Claser
Modified: 2005-08-24 10:23 UTC (History)
0 users

See Also:


Attachments
Patch checked in with revision 5654 (1.50 KB, patch)
2005-03-04 12:29 UTC, Volker Lendecke
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sergio Roberto Claser 2004-08-11 07:47:39 UTC
Member Server Samba 3.0.5 could'nt map more them 10 trusts in PDC Samba/LDAP
3.0.5. When I try to execute wbinfo -m whith 11 trusts in PDC, no trusts are shown.
With Member Server W2K works fine.

I can send pcap files with network analisys. 
For security reasons, I cant attach they here.

When we have 10 trusts, the protocol LSA show a message below:
"LSA_TRUSTED_DOMAIN_LIST pointer: domains"
"Return code: STATUS_SUCCESS (0x00000000)"

When we have 11 or more trusts, the protocol LSA show a message below:
"LSA_TRUSTED_DOMAIN_LIST pointer: domains"
"Return code: STATUS_MORE_ENTRIES (0x00000105)"
Comment 1 Sergio Roberto Claser 2005-01-11 12:51:17 UTC
(In reply to comment #0)
While checking the packages with the "ethereal", I verified that after receiving
the first package with an incomplete list of domains, the next package, the one
that should contain the sequence of the domains, comes with the same content as
the first one. And the same happens twice before it stops sending these packages.

I have a big project using Samba, but this problem is preventing me to go ahead.

It would be very important for me to receive a quick answer from you. I count on
your help.
Comment 2 Gerald (Jerry) Carter 2005-02-08 08:01:09 UTC
fixed in 3.0.11 I think.  Please reopen if not.
Comment 3 Sergio Roberto Claser 2005-03-03 07:45:49 UTC
Jerry, the problem still remains. I tested version 3.0.12PRE1, because it was a
 problem in version 3.0.11 with trusts (command "net rpc trustdom establish").
Comment 4 Gerald (Jerry) Carter 2005-03-03 08:05:31 UTC
Thanks.  The fix must have been to rpcclient only.
Comment 5 Volker Lendecke 2005-03-03 08:35:53 UTC
(In reply to comment #4)
> Thanks.  The fix must have been to rpcclient only.

Jerry: You want to work on it, or should I? Fix should be reasonably easy.
 
Volker
Comment 6 Gerald (Jerry) Carter 2005-03-03 08:48:01 UTC
vl, tag you're it.
Comment 7 Volker Lendecke 2005-03-04 12:29:31 UTC
Created attachment 1009 [details]
Patch checked in with revision 5654

Could you please test the attached patch? I've already committed it, but before
risking another reopen I'd like you to give a positive feedback.

Thanks,

Volker
Comment 8 Sergio Roberto Claser 2005-03-04 15:22:45 UTC
Volker, the problem is fixed. Now we can establish more than 10 trusts and the
client Samba can check all trusts with command 'wbinfo -m'.
Comment 9 Volker Lendecke 2005-03-04 16:42:44 UTC
Thanks for testing

Volker
Comment 10 Gerald (Jerry) Carter 2005-08-24 10:23:03 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.